Subject: Re: af_packet & CHECKSUM_HW

From: "David S. Miller" <[email-masked]>
Date: Mon, 17 Nov 2003 12:30:47 -0800

On Mon, 17 Nov 2003 20:44:52 +0100
Petr Vandrovec <[email-masked]> wrote:

> It would be nice if at least kernel did not stomp on skb2->h.raw so
> ptype callback could cope with situation and report to userspace where
> to put checksum. I already discussed it here two or so months ago, and
> only solution I was able to find is that VMware's vmnet have to parse
> itself network headers to find where to put checksum. Nothing for IPv6
> users...

Remind me again why the vmnet driver can't just run skb_checksum()
on packets that have CHECKSUM_HW set?